Sample Aid
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Plug-in issues

Discussion in 'Logic Pro X' started by Richard Williams, Dec 24, 2013.

  1. Richard Williams

    Richard Williams New Member

    Using the new Logic X with Mac based Mavericks.

    Logic is not recognising my plug-ins.
    Is there a special place where I should install them so that they may be used ?
     
  2.  
  3. Markdvc

    Markdvc Administrator Staff Member

    Which Plug-Ins are you trying to install? Are they 32 bit or 64 bit? Logic Pro X requires 64 bit Audio Units.

    kind regards

    Mark
     
  4. Richard Williams

    Richard Williams New Member

    That could well be the problem, but it constitutes a major one.
    I use Sonalksis, T-Racks, Sampletank and Waves plug-ins
     
  5. Markdvc

    Markdvc Administrator Staff Member

    Current Sonalksis and Waves versions are 64 bit and run just fine here in LPX. I don't know about sample tank, but according to the ikmultimedia website t-racks are also 64 bit. There are wrappers available, such as Sound Radix' 32 lives, which allow the use of 32 bit AUs in 64 bit software.

    The background to this is: Logic 9.1 was released in January 2010 (4 years ago) with 64 bit capability, along with the 32 bit AU Bridge to allow the use of 32 bit AUs - and to give software developers time to move on to 64 bit. At this stage most have. If, after 4 years a product still isn't available as 64 bit, it seems to me that the developer really needs to get the finger out, or they are no longer supporting, or have discontinued the products, such as is the case with NI's Pro 53 and B4.

    kind regards

    Mark
     
  6. gdoubleyou

    gdoubleyou Senior member

    IK announced that they would release a new 64bit version.

    I moved on to Kontakt, and EXS24 because of the lack of new content for SampleTank.

    :cool:
     

Share This Page